Package tigase.db.util

## Enum SchemaLoader.Result

- java.lang.Object
- - java.lang.Enum<SchemaLoader.Result>
  - - tigase.db.util.SchemaLoader.Result

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SchemaLoader.Result>`
  Enclosing class:
    SchemaLoader<P extends SchemaLoader.Parameters>

      public static enum SchemaLoader.Result
      extends java.lang.Enum<SchemaLoader.Result>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `error` |
    `ok` |
    `skipped` |
    `warning` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SchemaLoader.Result` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SchemaLoader.Result[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ok

          public static final SchemaLoader.Result ok

    - #### error

          public static final SchemaLoader.Result error

    - #### warning

          public static final SchemaLoader.Result warning

    - #### skipped

          public static final SchemaLoader.Result skipped

  - ### Method Detail

    - #### values

          public static SchemaLoader.Result[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SchemaLoader.Result c : SchemaLoader.Result.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SchemaLoader.Result valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null